# $Revision: 1.23 $, $Date: 2001/11/24 01:01:36 $
Summary:	wmSun displays the current day's Sun Rise and Set Times
Summary(pl):	wmSun wywietla aktualny czas wschodu i zachodu Soca
Name:		wmSun
Version:	1.03
Release:	4
License:	GPL
Group:		X11/Window Managers/Tools
Group(de):	X11/Fenstermanager/Werkzeuge
Group(pl):	X11/Zarzdcy Okien/Narzdzia
Source0:	http://nis-www.lanl.gov/~mgh/WindowMaker/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
URL:		http://nis-www.lanl.gov/~mgh/WindowMaker/DockApps.shtml
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_prefix		/usr/X11R6
%define 	_mandir 	%{_prefix}/man

%description
wmSun displays the current day's Sun Rise and Set Times. You must
enter your LAtitude and Longitude correctly for it to work.

%description -l pl
wmSun wywietla aktualne godziny wschodu i zachodu Soca. Aby program
dziaa poprawnie, musisz poda waciw dla miejsca, w ktrym
przebywasz, dugo i szeroko geograficzn.

%prep
%setup -q

%build
%{__make} -C %{name} clean
%{__make} -C %{name} \
        CFLAGS="%{rpmcflags} -Wall" \
	INCDIR="-I%{_includedir}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1} \
        $RPM_BUILD_ROOT%{_applnkdir}/DockApplets

install %{name}/%{name} $RPM_BUILD_ROOT%{_bindir}
install %{name}/%{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1

#install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/DockApplets

gzip -9nf BUGS TODO

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
#%{_applnkdir}/DockApplets/wmSun.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wmSun.spec,v $
Revision 1.23  2001/11/24 01:01:36  kloczek
- commented install desktop file.

Revision 1.22  2001/11/23 23:27:12  blues
- release 4
- cosmetic in files

Revision 1.21  2001/11/21 01:49:31  blues
- URLs updated

Revision 1.20  2001/05/03 01:14:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.19  2000/11/12 16:58:51  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.18  2000/06/09 07:24:02  kloczek
- added using %%{__make} macro.

Revision 1.17  2000/04/01 11:15:57  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.15  1999/11/27 02:59:15  pius
- added using more rpm macros
- cosmetics

Revision 1.14  1999/09/04 09:44:02  pius
- cosmetics

Revision 1.13  1999/09/04 09:01:07  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.12  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.11  1999/07/12 23:06:21  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun May 16 1999 Piotr Czerwiski <pius@pld.org.pl>
  [1.03-2]
- modified spec file for PLD use,
- package is now FHS 2.0 compliant.	

* Tue Feb 9 1998 Ian Macdonald <ianmacd@xs4all.nl>
- first RPM release.
